Subject: Re: bug#49632: [PATCH] Ensure that M-x gdb populates gud-repeat-map

From: Juri Linkov <[email-masked]>
Date: Mon, 19 Jul 2021 18:37:46 +0300

>> But I don't quite understand why gud-repeat-map is populated in the
>> normal way -- i.e., in `gud-repeat-map' so that users can
>> redefine/override entries as usual.
>
> I think it is presently done this way because things like M-x gdb, M-x pdb,
> etc. all use their own debugger commands, so we need to re-bind exactly the
> right ones each time. For example, in M-x perldb, gud-finish, gud-up, and
> gud-down are all commented out even though gdb clearly supports
> those functions.

Exactly.  But this means that you need to populate a new separate map
'gdb-repeat-map' specific to 'gdb' commands.  Also I noticed that the
current name of 'gud-repeat-map' is wrong.  It should be renamed to
'gud-gdb-repeat-map'.  So other debuggers could populate own repeat-maps
named e.g. 'sdb-repeat-map', 'jdb-repeat-map', 'perldb-repeat-map', etc.